# $Revision: 1.3.2.1 $, $Date: 2003/03/13 00:56:47 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Vigenere
Summary:	Crypt::Vigenere Perl module - Vigenere cipher implementation
Summary(pl):	Modu Perla Crypt::Vigenere - implementacja szyfru Vigenere
Name:		perl-Crypt-Vigenere
Version:	0.07
Release:	2
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This modules allows you to recreate the workings of the cryptographic
cipher invented several hundred years ago by a French cryptographer,
Blaise de Vigenre.

%description -l pl
Ten modu pozwala na odtworzenie prac zwizanych z szyfrem wymylonym
kilkaset lat temu przez francuskiego kryptografa, Blaise de Vigenere.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Crypt/Vigenere.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-Vigenere.spec,v $
Revision 1.3.2.1  2003/03/13 00:56:47  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:38:29  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:30:10  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/08/02 20:06:35  qboosh
- new

